ChangeSet 1.1388, 2003/06/10 10:30:57-07:00, greg@kroah.com

[PATCH] PCI: remove pci_for_each_bus() usage from drivers/pci/pci.c


 drivers/pci/pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/pci.c b/drivers/pci/pci.c
--- a/drivers/pci/pci.c	Tue Jun 10 11:15:38 2003
+++ b/drivers/pci/pci.c	Tue Jun 10 11:15:38 2003
@@ -55,11 +55,11 @@
 unsigned char __devinit
 pci_max_busnr(void)
 {
-	struct pci_bus* bus;
+	struct pci_bus *bus = NULL;
 	unsigned char max, n;
 
 	max = 0;
-	pci_for_each_bus(bus) {
+	while ((bus = pci_find_next_bus(bus)) != NULL) {
 		n = pci_bus_max_busnr(bus);
 		if(n > max)
 			max = n;
